# Create Card

<mark style="color:yellow;">`POST`</mark> `https://vcard.fuspay.finance/api/v1/User/CreateCard`

{% hint style="warning" %}
Only users that have had their KYC approved can create cards&#x20;

{% endhint %}

{% hint style="info" %}
While creating a card their merchant wallet will be debited 5$ and the card created will be automatically funded with 3$ (effective card creation fee is $2)
{% endhint %}

### Request Header

| Name          | Type             | Description                          |
| ------------- | ---------------- | ------------------------------------ |
| Authorization | Bearer Token     | Bearer token ${partner\_secret\_key} |
| Content-Type  | Application/json |                                      |
| x-partner-id  | xxxxxxxx         | Your partner ID eg. p602xxx          |

### Request body

| Name                                         | Type   | Description                                        |
| -------------------------------------------- | ------ | -------------------------------------------------- |
| card\_name<mark style="color:red;">\*</mark> | String | The name the user intend to name the virtual card. |
| user\_id<mark style="color:red;">\*</mark>   | String | The ID of the user for creating the virtial card.  |
| tag<mark style="color:red;">\*</mark>        | String | the user's tag e.g school.                         |
| bvn<mark style="color:red;">\*</mark>        | String | the bank verification number of the user.          |
| country<mark style="color:red;">\*</mark>    | String | Country name of the user.                          |
| house\_no<mark style="color:red;">\*</mark>  | String | user's house number.                               |
| street<mark style="color:red;">\*</mark>     | String | The name of the street where the user resides.     |
| state<mark style="color:red;">\*</mark>      | String | The state of residence of the user.                |
| city<mark style="color:red;">\*</mark>       | String | The user's city                                    |
| zip\_code<mark style="color:red;">\*</mark>  | String | user's zip code.                                   |
| id\_type<mark style="color:red;">\*</mark>   | String | ID type (type of ID e.g BVN, NIN, Passport).       |
| id\_no<mark style="color:red;">\*</mark>     | String | ID number (ID number of the user's KYC document).  |
| dob<mark style="color:red;">\*</mark>        | String | The user's date of birth e.g yyyy-mm-dd.           |
| id\_image<mark style="color:red;">\*</mark>  | String | URL image file of user                             |
| address<mark style="color:red;">\*</mark>    | String | The full address of the user, combining.           |

```json
{
	
	"card_name": "Payment for school",
	"user_id": "xxxx",
	"merchant_id": "xxx",
	"tag": "school",
	"bvn": "123",
	"country": "Nigeria",
	"house_no": "12",
	"street": "c",
	"state": "s",
	"city": "cc",
	"zip_code": "234",
	"id_type": "nin",
	"id_no": "222",
	"address": "No 6 sars road",
	"dob": "yyyy-mm-dd",
	"id_image": "http://ex.png"
	
}
```

### Response body

{% tabs %}
{% tab title="200: Ok" %}

```json
{
    "success": true,
    "message": "Card created successfully",
    "data": {
        "card_id": "ad91437e-e159-49de-8950-88d9a000000d",
        "card_name": "ZechUser Test Card",
        "merchant_id": "1737458000000_intra_merchant_900000",
        "user_id": "66bded7c0aed0789f23729f0129",
        "tag": "personalBusiness",
        "wallet": {
            "usdt": {
                "balance": 0,
                "address": "n/a",
                "message": "fetch card details to get wallet address and card balance"
            }
        }
    }
}
```

{% endtab %}

{% tab title="Second Tab" %}

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
The complete card details is not immediately returned; however, you can go to the fetch cards endpoint and use the card ID to get the complete card that details \
\
Please wait about 20seconds before fetching the complete card details using the "Get Card Details" endpoint.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fuspay.us/virtual-card/user/create-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
